2024.3: Drag 'n Drop it like it's hot! 🎉

Not sure what you mean by “regressions” , but i believe it pretty much describe the complexity.
In 2024.3.3 there seems nothing related, in 2024.3.2, you find the latest “update”. ( Which solves some parts ) … so “regressions” does not describe which issue you are “waiting” for to be solved.

If you follows the various “bumps” and “work- in progress” , you might figure out if your particular use-case, is addressed ( start by follow-up on the bug-report you commended in, and follow the links to the discussions/work there, maybe you can even contribute with your findings )

Sorry, how your post is related to my post?

Updated to 2024.3.3 this morning and getting the following errors on my dashboard:

Custom element doesn't exist: mini-media-player

Reverted back to 2024.3.1 backup and all is working again.

Like the standard software term?

“a type of software bug where a feature that has worked before stops working”

SNMP device trackers worked fine up thru 2024.2.5 and was broken in every 2024.3.x I’ve tried thus far and isn’t a listed breaking change. Rolling back fixes it.

That’s what these new version threads are, no? Discussion of revision bumps and changes?

1 Like

Something like that yes, but if you ask me, i believe the “root-cause” is the previous( early ) upgrade to Python3.12, Apparently there are not only undiscovered bugs(beside those which have been revealed) in in this “early” release of Python-version, there might also be changes/enhancement, which could be hard to predict the impact of.
So as you are a software-developer(Professional), you can just feel “lucky” that your not a part of the “back-end” , which have to solve this situation. :wink: , beside “Rollback” and Lean Back , and watch your Favorite Weekend TV Channel

I wish it was as easy as re-writing the automations. That’s what I have been doing over the last 2 days. Anyhow, thanks for the help…

1 Like

Yeah, atleast you still have a working installation, and don’t have to start from scratch again
Make sure to perform a full backup, when you get things running properly again
PS: I was Shocked !, when they implemented this “obscured” Device_id, was thinking WTH, atleast i didn’t have 2 dozens automations, with Device_Triggers, and for most i could use “State” as Trigger

Please speak English.

2 Likes

After updating Core to 2024.3.3 my Home Assistant dashboard cast to Google Nest Hub 2 is not working properly.

After about a minute from the start of the cast (service call Google Cast: Show dashboard view) the Nest returns to its picture slide show (screensaver). What I can see the Home Assistant Google Cast integration thinks its casting. Logbook does not show any new events.

I restored 2024.3.1 and everything is again working as expected. I’m running Raspberry pi 4, HAOS 12.1.

Any advice what to do?

Forgot to mention something possibly relevant. I use Nabu Casa.

I just upgraded to 2024.3 and have a major dhcp issue.
Here is the log entry:


Logger: homeassistant.setup
Source: setup.py:296
First occurred: 8:33:53 AM (1 occurrences)
Last logged: 8:33:53 AM

Setup failed for 'dhcp': Unable to import component: No module named 'scapy.modules.six.moves'
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/loader.py", line 886, in async_get_component
    comp = await self.hass.async_add_import_executor_job(self.get_component)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/concurrent/futures/thread.py", line 58, in run
    result = self.fn(*self.args, **self.kwargs)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/loader.py", line 921, in get_component
    ComponentProtocol, importlib.import_module(self.pkg_path)
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/importlib/__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1331, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 935, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 995, in exec_module
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "/usr/src/homeassistant/homeassistant/components/dhcp/__init__.py", line 16, in <module>
    import aiodhcpwatcher
  File "/usr/local/lib/python3.12/site-packages/aiodhcpwatcher/__init__.py", line 10, in <module>
    from scapy.config import conf
  File "/usr/local/lib/python3.12/site-packages/scapy/config.py", line 25, in <module>
    from scapy.base_classes import BasePacket
  File "/usr/local/lib/python3.12/site-packages/scapy/base_classes.py", line 32, in <module>
    from scapy.modules.six.moves import range
ModuleNotFoundError: No module named 'scapy.modules.six.moves'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/setup.py", line 296, in _async_setup_component
    component = await integration.async_get_component()
                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/loader.py", line 892, in async_get_component
    comp = self.get_component()
           ^^^^^^^^^^^^^^^^^^^^
  File "/usr/src/homeassistant/homeassistant/loader.py", line 921, in get_component
    ComponentProtocol, importlib.import_module(self.pkg_path)
                       ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/local/lib/python3.12/importlib/__init__.py", line 90, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1387, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1360, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1331, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 935, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 995, in exec_module
  File "<frozen importlib._bootstrap>", line 488, in _call_with_frames_removed
  File "/usr/src/homeassistant/homeassistant/components/dhcp/__init__.py", line 16, in <module>
    import aiodhcpwatcher
  File "/usr/local/lib/python3.12/site-packages/aiodhcpwatcher/__init__.py", line 10, in <module>
    from scapy.config import conf
  File "/usr/local/lib/python3.12/site-packages/scapy/config.py", line 25, in <module>
    from scapy.base_classes import BasePacket
  File "/usr/local/lib/python3.12/site-packages/scapy/base_classes.py", line 32, in <module>
    from scapy.modules.six.moves import range
ModuleNotFoundError: No module named 'scapy.modules.six.moves'

Things I have tried:

  1. Revert installation - everything works
  2. Home assistant safe mode to see if a custom component is an issue - still has dhcp issue
    3 I noted in the change log :" Bump aiodhcpwatcher to 0.8.1 (@bdraco - #113096)". I used pip install aiodhcpwatcher’ in terminal to upgrade to version 1 and rebooted - same
    Issue with dhcp.

This prevents all my esphome devices from connecting, so it is a major issue for me.
I’m surprised that this does not seem to be affecting anyone else. What could be the issue?

I opened a core issue for this.

Well that was fast! The excellent support provided by Nick Koston quickly identified an issue with a python library component - scapy.
It turns out that one of the custom components I installed was downgrading the library version, making it incompatible with 2024.3.
An upcoming 2024.4 release will prevent downgrading by custom components in the future
Fantastic support!

7 Likes

Solved. To circumvent previous problem I had called cast twice. Now as that problem does not exist anymore the second call caused this new problem. Removed the second call to cast and everything works.